/// <reference types="node" />
import { IncomingMessage, ServerResponse } from 'http';
import { ServerRequestDetail, ServerResponseDetail } from './types';
export declare function getServerRequestDetail(request: IncomingMessage, options?: {
    body?: boolean;
}): Promise<ServerRequestDetail>;
export declare function getServerResponseDetail(response: ServerResponse, options?: {
    body?: boolean;
}): Promise<ServerResponseDetail>;
export declare function parseHeaders(headerObj: Record<string, string[] | string | number | undefined>): [name: string, value: string][];
//# sourceMappingURL=http.d.ts.map