/// <reference types="node" />
import { ClientRequest } from 'http';
import { ClientRequestDetail, ClientResponseDetail } from './types';
export declare function getClientRequestDetail(request: ClientRequest, options?: {
    body?: boolean;
}): Promise<ClientRequestDetail>;
export declare function getClientResponseDetail(request: ClientRequest, options?: {
    body?: boolean;
}): Promise<ClientResponseDetail>;
export declare function parseHeaders(headerObj: Record<string, string[] | string | number | undefined>): [name: string, value: string][];
//# sourceMappingURL=http.d.ts.map